1.0

1.0

post /v1/apis/{api_id}/resources/{resource_id}/methods

Description

Create method

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
pathresource_id
required
Resource ID
Example : 27bb070b564349f8a31cc60734cc36a5
stringNone
bodybody
required

MethodCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKMethodListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/resources/{resource_id}/methods

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = apigateway 1.0"

Request body

{
    "api_key_required": false,
    "endpoint_url": "https://127.0.0.1:8000",
    "function_id": "27bb070b564349f8a31cc60734cc36a5",
    "integration_type": "HTTP",
    "method_type": "GET",
    "privatelink_endpoint_id": "27bb070b564349f8a31cc60734cc36a5",
    "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
    "request_headers": "{'test1' : True}"
}

Example HTTP response

Response 200

{
    "methods": [
        {
            "endpoint_url": "https://127.0.0.1:8000",
            "function_id": "27bb070b564349f8a31cc60734cc36a5",
            "integration_type": "HTTP",
            "method_type": "GET",
            "query_strings": "{'param1': 'value1', 'param2': 'value2'}",
            "request_headers": "{'test1' : True}",
            "request_path": "{users}",
            "srn": "srn:dev2::9b7653f6f47a42e38055934a0575a813:kr-west1::apiateway:method/151a6c15922747faaaae7f70/*/GET/test"
        }
    ]
}